%define upstream_name	 Crypt-Blowfish
%define upstream_version 2.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 24

Summary:	Perl Blowfish encryption module
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/D/DP/DPARIS/%{upstream_name}-%{upstream_version}.tar.gz

Buildrequires:	 perl-devel


%description
Perl module to encrypt using the Blowfish algorithm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README COPYRIGHT Changes META.yml
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt
%{_mandir}/*/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.140.0-24.mga10
+ Revision: 2225911
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 2.140.0-23.mga10
+ Revision: 2088014
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 2.140.0-22.mga10
+ Revision: 2010597
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 2.140.0-21.mga9
+ Revision: 1861620
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 2.140.0-20.mga9
+ Revision: 1795570
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 2.140.0-19.mga9
+ Revision: 1726460
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 2.140.0-18.mga8
+ Revision: 1594367
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 2.140.0-17.mga8
+ Revision: 1528982
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 2.140.0-16.mga8
+ Revision: 1432793
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 2.140.0-15.mga7
+ Revision: 1292542
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 2.140.0-14.mga7
+ Revision: 1248566
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 2.140.0-13.mga7
+ Revision: 1163592
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.140.0-12.mga7
+ Revision: 1148696
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 2.140.0-11.mga7
+ Revision: 1126794
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 2.140.0-10.mga6
+ Revision: 1024503
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.140.0-9.mga6
+ Revision: 956920
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.140.0-8.mga6
+ Revision: 844754
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 2.140.0-7.mga6
+ Revision: 840680
- Rebuild for the new perl

* Sun Oct 19 2014 umeabot <umeabot> 2.140.0-6.mga5
+ Revision: 789282
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.140.0-5.mga5
+ Revision: 746789
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.140.0-4.mga5
+ Revision: 684027
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.140.0-3.mga5
+ Revision: 630949
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 2.140.0-2.mga4
+ Revision: 530412
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 sander85 <sander85> 2.140.0-1.mga4
+ Revision: 457588
- update to 2.14

* Tue Jul 23 2013 sander85 <sander85> 2.130.0-1.mga4
+ Revision: 457488
- update to 2.13

* Wed May 29 2013 jquelin <jquelin> 2.120_10-1.mga4
+ Revision: 432500
- update to 2.12_001
- perl 5.18.0 rebuild
- perl 5.18.0 rebuild
- perl 5.18.0 rebuild
- perl 5.18.0 rebuild
- perl 5.18.0 rebuild
+ tv <tv>
- new release
- rebuild for new perl
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 2.120.0-5.mga3
+ Revision: 364826
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.120.0-4.mga3
+ Revision: 250387
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 2.120.0-3.mga2
+ Revision: 103782
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 2.120.0-2.mga1
+ Revision: 29973
- mageia rebuild
- imported package perl-Crypt-Blowfish


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 2.120.0-2mdv2011.0
+ Revision: 555706
- rebuild

* Fri Mar 05 2010 Jérôme Quelin <jquelin@mandriva.org> 2.120.0-1mdv2010.1
+ Revision: 514399
- update to 2.12

* Tue Feb 16 2010 Jérôme Quelin <jquelin@mandriva.org> 2.110.0a-1mdv2010.1
+ Revision: 506751
- update to

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 2.100.0-1mdv2010.0
+ Revision: 403028
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 2.10-5mdv2009.0
+ Revision: 256201
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 2.10-3mdv2008.1
+ Revision: 151458
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.10-2mdv2008.0
+ Revision: 86236
- rebuild


* Mon Dec 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.10-1mdk
- New release 2.10
- spec cleanup
- better source URL, URL, license and summary
- fix directory ownhership
- %%mkrel

* Tue Dec 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.09-8mdk
- Rebuild for new perl

* Thu Sep 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.09-7mdk
- 2.09

* Thu Aug 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.09-6mdk
- rebuild for new perl
- use %%make macro
- use %%makeinstall_std macro
- quiet setup

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.09-5mdk
- rebuild for new auto{prov,req}

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.09-4mdk
- perl-devel

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.09-3mdk
- rebuild

* Fri Nov 22 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.09-2mdk
- Don't hardcore arch in path

* Tue Oct 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.09-1mdk
- from Daniel Lacroix <dlacroix@erasme.org> :
	- generated by cpan2rpm version 0.1 for Mandrake 9.0

